import { Hero6Utility } from "./hero6-utility.js";

export const defaultItemImg = {
  skill: "systems/fvtt-hero-system-6/images/icons/skill.webp",
  armor: "systems/fvtt-hero-system-6/images/icons/armor.webp",
  equipment: "systems/fvtt-hero-system-6/images/icons/equipment.webp",
  weapon: "systems/fvtt-hero-system-6/images/icons/melee.webp",
  perk: "systems/fvtt-hero-system-6/images/icons/perk.webp",
  ability: "systems/fvtt-hero-system-6/images/icons/ability.webp",
  genetic: "systems/fvtt-hero-system-6/images/icons/genetic.webp",
  cyber: "systems/fvtt-hero-system-6/images/icons/cyber.webp"
  }

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class Hero6Item extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
